Subject: Re: CVS -> SVN -> Git

From: Karl Fogel <[email-masked]>
Date: Sun, 15 Jul 2007 18:30:17 -0700

"Martin Langhoff" <[email-masked]> writes:
> On 7/15/07, Michael Haggerty <[email-masked]> wrote:
>> > It took a day and half to get the svn dump parsing right (it's an
>> > egregiously bad format) but only a couple of hours to write the
>> > fast-import backend.
>>
>> I'm surprised you think that; I find the svn dump format quite easy and
>> straightforward.  (Of course it assumes some Subversionisms, like easy
>> deep directory copies, which I can imagine would be annoying in other
>> contexts.)  What don't you like about the format?
>
> Is there good doco and samples for it? I wouldn't mind doing things by
> way of an SVN dump parser.

   http://svn.collab.net/repos/svn/trunk/notes/dump-load-format.txt

Best,
-Karl